%define pcscver 1.3.0
%define pcsclib libpcsclite.so.1
%if 0%{?__isa_bits} == 64
%define mark64  ()(64bit)
%endif

Name:           pcsc-perl
Version:        1.4.14
Release:    1%{?dist}
Summary:        Perl interface to the PC/SC smart card library

License:        GPLv2+
URL:            http://ludovic.rousseau.free.fr/softwares/%{name}/
Source0:        %{url}%{name}-%{version}.tar.bz2
Source1:        %{url}%{name}-%{version}.tar.bz2.asc

BuildRequires:  gcc
BuildRequires:  coreutils
BuildRequires:  glibc-common
BuildRequires:  grep
BuildRequires:  make
BuildRequires:  pcsc-lite-devel >= %{pcscver}
BuildRequires:  perl-interpreter
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict)
Requires:       %{pcsclib}%{?mark64}
Provides:       perl-pcsc = %{version}-%{release}

%description
This library allows to communicate with a smart card using PC/SC
interface (pcsc-lite) from a Perl script.

%prep
%setup -q
chmod 644 examples/* # avoid dependencies
f=Changelog ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" DEFINE=-Wall
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*


%check
if ! grep -qF 'dlopen("%{pcsclib}"' PCSCperl.h ; then # sanity check
    echo "ERROR: pcsc lib name mismatch in PCSCperl.h/dependencies" ; exit 1
fi


%files
%license LICENCE
%doc Changelog README examples/
%{perl_vendorarch}/auto/Chipcard/
%{perl_vendorarch}/Chipcard/
%{_mandir}/man3/Chipcard::PCSC*.3*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.14-1
- initial build
